bptbl_seg_s Struct Reference

Segmentation "iterator" for backpointer table results. More...

`#include <ngram_search.h>`

## Data Fields

ps_seg_t | base
| Base structure. More...
int32 * | bpidx
| Sequence of backpointer IDs. More...
int16 | n_bpidx
| Number of backpointer IDs. More...
int16 | cur
| Current position in bpidx. More...

## Detailed Description

Segmentation "iterator" for backpointer table results.

Definition at line 126 of file ngram_search.h.

## Field Documentation

ps_seg_t bptbl_seg_s::base

Base structure.

Definition at line 127 of file ngram_search.h.

Referenced by ngram_search_exit_score().

int32* bptbl_seg_s::bpidx

Sequence of backpointer IDs.

Definition at line 128 of file ngram_search.h.

Referenced by ngram_search_exit_score().

int16 bptbl_seg_s::cur

Current position in bpidx.

Definition at line 130 of file ngram_search.h.

Referenced by ngram_search_exit_score().

int16 bptbl_seg_s::n_bpidx

Number of backpointer IDs.

Definition at line 129 of file ngram_search.h.

Referenced by ngram_search_exit_score().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ngram_search.h